body {
    font-family: 'Poppins', sans-serif;
    background-color: #121212;
    min-width: 390px;
    color: #FAF9F6;
}

/* University of Maryland Colors */
.umd-primary-color {
    background-color: #D00024; /* UMD red color */
    color: #FFFFFF; /* White text on red background */
}

.umd-secondary-color {
    background-color: #FFD100; /* UMD gold color */
    color: #000000; /* Black text on gold background */
}

.terp {
    color: #D00024;
}

#terpy{
    width: 13%;
    max-width: 13%;
    padding: 6px;
    position: absolute;
}

#technitudo{
    position: absolute;
    top: 0px;
    right: 0px;
}

/* Header Styling */
.header {
    background-color: #D00024;
    color: #FFFFFF;
    padding: 15px;
    text-align: center;
    font-size: 24px;
    font-weight: bold;
}

img {
    width: 13%;
    max-width: 13%;
    padding: 6px;
    position: absolute;
}

h1 {
    text-align: center;
}

/* Nav Bar Styling */
nav {
    text-align: center;
}

ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
}

li {
    display: inline;
    margin-right: 10px; 
}

/* Main Content Styling */
.main-content {
    padding: 25px;
}

.feature {
    text-align: center;
    font-size: 20px;
}

/* Buttons */
.button {
    background-color: #D00024;
    color: #FFFFFF;
    border: none;
    padding: 10px 20px;
    margin: 10px;
    cursor: pointer;
    border-radius: 4px;
}

.button:hover {
    background-color: #FFD100;
}

/* Links */
a {
    display: inline-block;
    width: 120px;
    padding: 10px 13px;
    text-align: center;
    color: #D00024;
    text-decoration: none;
    border-radius: 25px;
    cursor: pointer;
    font-weight: normal;
    transition: width 0.3s ease-in-out, font-weight 0.3s ease-in-out;
}

a::before {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 0;
    height: 0px;
    background-color: #D00024;
    transition: width 0.3s ease-in-out;
}

a:hover {
    font-weight: bold;
}

a:hover::before {
    width: 100%;
    height: 2px; /* Add height for the underline */
}


.wider-button {
    width: 150px;
}

/* LogIn CSS */

.main{
    width: 100%;
    height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

#login-label{
    display: block;
    position: fixed;
    font-size: 36px;
    margin-top: -350px;
    margin-bottom: 130px;
    margin-right: 490px;
    color:#FFFFFF
}

.email-group{
    width : 90%;
    max-width: 600px;
    position: relative;
    bottom: 70px;
}

#email-field{
    display: block;
    width: 100%;
    border: 0;
    border-bottom: 2px solid #FFFFFF;
    background: transparent;
    outline:none;
    font-size: 26px;
    padding: 5px 2px;
    position: relative;
    z-index: 10;
    color: #FAF9F6;
}

#email-label{
    display:block;
    position: absolute;
    bottom: 5px;
    left: 2px;
    color: #777;
    font-size: 18px;
    transition: bottom 0.3s;
}

#email-error{
    position: absolute;
    top: 100%;
    left: 2px;
    font-size: 16px;
    font-weight: 400;
    color: red;
    transition: top 0.5s;
}

.password-group{
    width : 90%;
    max-width: 600px;
    position: relative;
}

#password-field{
    display: block;
    width: 100%;
    border: 0;
    border-bottom: 2px solid #FFFFFF;
    background: transparent;
    outline:none;
    font-size: 26px;
    padding: 5px 2px;
    position: relative;
    z-index: 10;
    color: #FAF9F6;
}

#password-label{
    display:block;
    position: absolute;
    bottom: 5px;
    left: 2px;
    color: #777;
    font-size: 18px;
    transition: bottom 0.3s;
}

#password-error{
    position: absolute;
    top: 100%;
    left: 2px;
    font-size: 16px;
    font-weight: 400;
    color: red;
    transition: top 0.5s;
}

#login-button{
    text-align: center;
    margin-top: 75px;
}

#weird-button{
    width : 155px;
}

/* Profile Page CSS */

#specialH2{
    margin-left: 270px;
    margin-bottom: -20px;
}

#profileImg{
    width:150px;
    height:150px;
    margin-left: 250px;
    margin-top: 50px;
    position: relative;
}

.mainDetails{
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.profileName{
    width : 90%;
    max-width: 600px;
    position: relative;
    bottom: 100px;
}

#name-field{
    display: block;
    width: 100%;
    border: 0;
    border-bottom: 2px solid #ffffff;
    background: transparent;
    outline:none;
    font-size: 26px;
    padding: 5px 2px;
    position: relative;
    z-index: 10;
    color: #FAF9F6;
}

#name-label{
    display:block;
    position: absolute;
    bottom: 5px;
    left: 2px;
    color: #777;
    font-size: 18px;
    transition: bottom 0.3s;
}

.profileYear{
    width : 90%;
    max-width: 600px;
    position: relative;
    bottom: 70px;
    top: 100px;
}

#year-field{
    display: block;
    width: 100%;
    border: 0;
    border-bottom: 2px solid #ffffff;
    background: transparent;
    outline:none;
    font-size: 26px;
    padding: 5px 2px;
    position: relative;
    z-index: 10;
    color: #FAF9F6;
}

#year-label{
    display:block;
    position: absolute;
    bottom: 5px;
    left: 2px;
    color: #777;
    font-size: 18px;
    transition: bottom 0.3s;
}

.profileMajor{
    width : 90%;
    max-width: 600px;
    position: relative;
    bottom: 50px;
}

#major-field{
    display: block;
    width: 100%;
    border: 0;
    border-bottom: 2px solid #ffffff;
    background: transparent;
    outline:none;
    font-size: 26px;
    padding: 5px 2px;
    position: relative;
    z-index: 10;
    color: #FAF9F6;
}

#major-label{
    display:block;
    position: absolute;
    bottom: 5px;
    left: 2px;
    color: #777;
    font-size: 18px;
    transition: bottom 0.3s;
}

#update-button{
    border-radius: 15px;
    margin-top: 125px;
    font-size: 16px;
}

#update-message{
    position: relative;
    top: 75%;
    font-size: 16px;
    font-weight: 400;
    color: green;
    margin-bottom: 20px;
}

/* Footer Styling */
.copyright {
    background-color: #D00024;
    color: #FFFFFF;
    text-align: center;
    padding: 10px;
}

.footer-section {
    padding-top: 20px;
}

/* Matchmaker Page*/

#userInput {
    text-align:center;
}

table, th, td {
    text-align:center;
}
caption {
    font-size:30px;
}
th {
    background-color:#D00024
}
input {
    height:20px;
    font-size:18px;
}
#courses {
    height:25px;
}

/* Meet the Team */
.teamImg{
    position: relative;
    height: 70%;
}

#meetTeam{
    text-align:center;
}

.row1{
    display:flex;
}

.row2{
    display:flex;
}

.row3{
    display:flex;
}

.row4{
    display:flex;
}

.column{
    line-height: 13px;
}

.column2{
    line-height:8px;
}

/* Responsive Styles */
@media (max-width: 768px) {
    /* Adjust styles for screens with a maximum width of 768px (e.g., tablets and smaller screens) */
    .header {
        padding: 10px;
        font-size: 20px;
    }

    li {
        margin-right: 5px;
    }
}

@media (max-width: 480px) {
    /* Adjust styles for screens with a maximum width of 480px (e.g., smartphones) */
    .header {
        padding: 5px;
        font-size: 18px;
    }

    li {
        margin-right: 3px;
    }

    .button {
        padding: 5px 10px;
        margin: 5px;
        font-size: 14px;
    }
}
/* ADD THIS */
#userInput {
    text-align:center;
}

#myTable, th, td {
    text-align:center;
}
caption {
    font-size:30px;
}
th {
    background-color:#D00024
}
input {
    height:20px;
    font-size:18px;
}
#courses {
    height:25px;
}